Subject: bug#33748: 27.0.50; harfbuzz branch fails to compile

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Dec 2018 08:59:43 +0200

> Date: Sat, 15 Dec 2018 00:52:53 +0200
> From: Khaled Hosny <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > The version of Harfbuzz I have on this machine is 0.9.27.  If this too old?  If so, what minimum version do I need to successfully build the branch?
> 
> Seems so. You can add configure.ac checks for hb_buffer_set_cluster_level
> and use it conditionally, or require a newer HarfBuzz version. I prefer
> the later, since the behaviour of cluster level 1 is assumed elsewhere
> in the code (I don’t recall what exactly).

Which oldest version of HarfBuzz would you prefer us to require?  Is
0.9.42 OK, or do we need a newer one?

Thanks.